(function (angular) {
    angular.module('todoList.task').config(configure);

    configure.$inject = ['$routeProvider'];

    function configure($routeProvider) {
        $routeProvider
            .when('/list/:listId/task', {
                templateUrl: '/app/task/task.html',
                controller: 'taskController',
                controllerAs: 'taskCtrl'
            })
            .when('/list/:listId/task/add', {
                templateUrl: '/app/task/task.modify.html',
                controller: 'taskModifyController',
                controllerAs: 'taskMCtrl'
            })
            .when('/list/:listId/task/edit/:taskId', {
                templateUrl: '/app/task/task.modify.html',
                controller: 'taskModifyController',
                controllerAs: 'taskMCtrl'
            })
        ;

    }
})(angular);